Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 563444 - Review Request: Anumaan - A predictive text entry system
Summary: Review Request: Anumaan - A predictive text entry system
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-02-10 09:25 UTC by Naveen Kumar
Modified: 2010-11-19 12:24 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-19 09:13:49 UTC


Attachments (Terms of Use)

Description Naveen Kumar 2010-02-10 09:25:16 UTC
Spec URL: http://pravins.fedorapeople.org/anumaan/AnumaanLinux-alpha.spec
SRPM URL: http://pravins.fedorapeople.org/anumaan/AnumaanLinux-alpha-0.1-1.fc12.src.rpm
Description: 
Hi! I have just finished packaging Anumaan, and I would appreciate a review so that I can get into fedora.

Anumaan is especially designed for people, suffering from Motor disability.

Comment 1 Naveen Kumar 2010-02-10 10:53:26 UTC
Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1973706

Comment 2 Jens Petersen 2010-02-11 06:39:42 UTC
Maybe the package should just be called AnumaanLinux or even
Anumaan? if alpha means alpha release?  (I think the upstream
naming scheme is not ideal but anyway.)

Comment 3 Jens Petersen 2010-02-11 06:41:51 UTC
AnumaanDefaultLM can't be packaged itself?

Comment 4 Naveen Kumar 2010-02-11 06:52:53 UTC
Ok I will change the name to Anumaan and split AnumaanDefaultLM from it, and then resubmit.

Comment 5 Jens Petersen 2010-02-11 07:18:40 UTC
Any chance of fixing the upstream tarball rather
than having all the chmod's in the spec file?

Similarly better if Anumaan.sh became Anumaan.

But I guess these are not blockers.

Comment 6 Jens Petersen 2010-02-11 07:19:21 UTC
(Anyway just some initial comments and impressions. :)

Comment 7 Jens Petersen 2010-02-11 07:20:52 UTC
(In reply to comment #4)
> Ok I will change the name to Anumaan and split AnumaanDefaultLM from it, and
> then resubmit.    

To be clear - you can update the submission and summary here
(no need to open a new review.)

Comment 8 Naveen Kumar 2010-02-11 12:45:41 UTC
(In reply to comment #5)
> Any chance of fixing the upstream tarball rather
> than having all the chmod's in the spec file?
> 
Nope, I do have rights on CDAC Mumbai site now.

> Similarly better if Anumaan.sh became Anumaan.
> 
> But I guess these are not blockers.    

Done.

Comment 12 Parag AN(पराग) 2010-02-26 04:33:23 UTC
Naveen,
   I have sponsored you now. Hope to see you you will continue reviewing packages and adding few more packages in Fedora.
Welcome to Packager group.

   I am not familiar with Java packaging much but if someone can help you to complete this review then it will be good or then I will review this.

Also, make sure bump the release whenever you submit new updated srpm.

Comment 13 Naveen Kumar 2010-03-05 10:07:09 UTC
Thanks :)

regards
Naveen

Comment 14 Jason Tibbitts 2010-11-17 22:42:50 UTC
Both URLs in comment 11 are invalid.

Comment 15 Naveen Kumar 2010-11-19 09:13:49 UTC
Closing this request, I will later make a new request with new enhancements on this application.


Note You need to log in before you can comment on or make changes to this bug.